package com.gic.haoban.manage.api.dto.qdto.hm;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.gic.api.base.commons.BasePageInfo;

public class WxUserAddLogSearchQDTO extends BasePageInfo implements Serializable {

    /**
    * @Fields serialVersionUID : TODO(用一句话描述这个变量表示什么)
    */
    private static final long serialVersionUID = 8305835283985272207L;

    private String wxEnterpriseId;
    private String enterpriseId;
    private Long linkId;
    private Long hmId;
    private String clerkId;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;
    private Integer addChannel;
    // 1添加 2流失
    private int statusFlag = 1 ;
    private String createTimeOrder = "desc";

    public int getStatusFlag() {
        if(0==statusFlag) {
            return 1 ;
        }
        return statusFlag;
    }

    public void setStatusFlag(int statusFlag) {
        this.statusFlag = statusFlag;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getLinkId() {
        return linkId;
    }

    public Long getHmId() {
        return hmId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public Date getStartTime() {
        return startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public Integer getAddChannel() {
        return addChannel;
    }

    public void setLinkId(Long linkId) {
        this.linkId = linkId;
    }

    public void setHmId(Long hmId) {
        this.hmId = hmId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public void setAddChannel(Integer addChannel) {
        this.addChannel = addChannel;
    }

    public String getCreateTimeOrder() {
        return createTimeOrder;
    }

    public void setCreateTimeOrder(String createTimeOrder) {
        this.createTimeOrder = createTimeOrder;
    }
}
